# esx\_identity

{% hint style="danger" %}
Take advantage of this **if you only use esx\_identity** and **do not use any multicharacter system!**
{% endhint %}

1. Open **@es\_extended/client/main.lua**
2. Search for `esx:playerLoaded`
3. Add `exports['vms_spawnselector']:OpenSpawnSelector()` as it is below

```lua
RegisterNetEvent('esx:playerLoaded')
AddEventHandler('esx:playerLoaded', function(xPlayer, isNew, skin)
    ESX.PlayerData = xPlayer
    if not Config.Multichar then
        exports.spawnmanager:spawnPlayer({
            x = ESX.PlayerData.coords.x,
            y = ESX.PlayerData.coords.y,
            z = ESX.PlayerData.coords.z + 0.25,
            heading = ESX.PlayerData.coords.heading,
            model = `mp_m_freemode_01`,
            skipFade = false
        }, function()
            TriggerServerEvent('esx:onPlayerSpawn')
            TriggerEvent('esx:onPlayerSpawn')
            TriggerEvent('esx:restoreLoadout')

            if isNew then
                TriggerEvent('skinchanger:loadDefaultModel', skin.sex == 0)
            elseif skin then
                exports['vms_spawnselector']:OpenSpawnSelector() -- ADDED EXPORT TO OPEN SPAWN SELECTOR
                TriggerEvent('skinchanger:loadSkin', skin)
            end

            TriggerEvent('esx:loadingScreenOff')
            ShutdownLoadingScreen()
            ShutdownLoadingScreenNui()
        end)
    end

[...]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_spawnselector/compatibility/esx_identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
